Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTIFFWriter Class Reference

`#include <vtkTIFFWriter.h>`

Inheritance diagram for vtkTIFFWriter:

[legend]
Collaboration diagram for vtkTIFFWriter:

[legend]
List of all members.

## Detailed Description

write out structured points as a TIFF file

Date:
  2002/08/13 17:14:29

Revision:
  1.21

vtkTIFFWriter writes structured points as a non-compressed TIFF data file.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (83%)
  - Lorensen, Bill (7%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkTIFFWriter.cxx)`
  - .`h` (`/IO/vtkTIFFWriter.h)`

Examples:
  vtkTIFFWriter (Examples)

Tests:
  vtkTIFFWriter (Tests)

Definition at line 47 of file vtkTIFFWriter.h.

## Public Types
typedef vtkImageWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkTIFFWriter * | New ()
int | IsTypeOf (const char *type)
vtkTIFFWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkTIFFWriter ()
| ~vtkTIFFWriter ()
virtual void | WriteFile (ofstream *file, vtkImageData *data, int ext[6])
virtual void | WriteFileHeader (ofstream *, vtkImageData *)

## Member Typedef Documentation

typedef vtkImageWriter vtkTIFFWriter::Superclass

| Reimplemented from vtkImageWriter. Definition at line 51 of file vtkTIFFWriter.h.

## Constructor & Destructor Documentation

vtkTIFFWriter::vtkTIFFWriter | ( |  | ) | `[inline, protected]`

| Definition at line 55 of file vtkTIFFWriter.h.

vtkTIFFWriter::~vtkTIFFWriter | ( |  | ) | `[inline, protected]`

| Definition at line 56 of file vtkTIFFWriter.h.

## Member Function Documentation

vtkTIFFWriter* vtkTIFFWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageWriter.

virtual const char* vtkTIFFWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageWriter.

int vtkTIFFWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageWriter.

virtual int vtkTIFFWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageWriter.

vtkTIFFWriter* vtkTIFFWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageWriter.

virtual void vtkTIFFWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageWriter.

virtual void vtkTIFFWriter::WriteFile | ( | ofstream * | file,
|  | vtkImageData * | data,
|  | int | ext[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageWriter.

virtual void vtkTIFFWriter::WriteFileHeader | ( | ofstream * | ,
|  | vtkImageData * |
| ) | `[protected, virtual]`

| Reimplemented from vtkImageWriter.

The documentation for this class was generated from the following file:

- IO/vtkTIFFWriter.h